dsi firmware compatibility

Discussion in 'DSTT' started by sumarth, Jul 31, 2009.

  1. sumarth
    OP

    sumarth Newbie

    so far firmwares 1.2 and 1.3 work
    1.4 is out, and does anybody know if tti works with it?
    i would ask the dstt team, but, of course, they wouldnt reply :-(
     
  2. vergilite

    vergilite GBATemps Regular Clown

    Member
    737
    0
    Apr 14, 2009
    Liv-Liv-Liverpool YEAH!
  3. PettingZoo

    PettingZoo yesss

    Member
    1,711
    1
    Oct 5, 2008
    in the trap
    Yeah, you can't update use it after 1.4 the only carts so far that have a possibility is the Supercard DSonei
    and the M3i Zero.
     
  4. Da-Bomb1

    Da-Bomb1 GBAtemp Advanced Fan

    Member
    795
    0
    Apr 19, 2009
    Canada
    BC, Canada
    The AK2i also has a chance, but only if you haven't upgraded your DSi already, or have another DS on hand to reflash it.
     
  5. markstrom

    markstrom Newbie

    Newcomer
    7
    0
    Nov 22, 2006
    What about DSTTi ?
     
  6. Advi

    Advi GBAtemp Maniac

    Member
    1,143
    5
    Jan 26, 2009
    United States
    ALL flashcarts are blocked.

    Of course, all you get is a faster camera and a Facebook photo uploader, so who cares? just don't get the update.
     
  7. sumarth
    OP

    sumarth Newbie

    but the tti does have an upgradeable firmware, so why does it not have a chance?
    could the dstt team (or anybody else) release a firmware update to make the tti compatible with 1.4?
     
  8. Advi

    Advi GBAtemp Maniac

    Member
    1,143
    5
    Jan 26, 2009
    United States
    lol, it's possible. but if the team ever releases a workaround, it'll probably be a little while.
     
  9. wolffangalchemist

    wolffangalchemist This is bat country!

    Member
    1,408
    31
    Nov 23, 2008
    United States
    middleofnowhere, AL
    you can dump the tti's boot loader with the tt dumper tool thing.
    if someone could hack it to be a different game than the opne it pretends to be it might have a very slim chance, and i mean VERY SLIM!
     
  10. SifJar

    SifJar Not a pirate

    Member
    6,022
    892
    Apr 4, 2009
    It is impossible to update the boot loader on DSTTi iirc. Most other cards can be updated, but most require a DS which the card can boot on. So an old DS/DS Lite, or an un-upgraded DSi. M3i Zero can be updated by USB though, so it doesn't need a DS it can boot on.
     
  11. sumarth
    OP

    sumarth Newbie


    so you mean that a new version of tti has to be released for every dsi firmware update?
    if that is the case, it would render the tti useless until a tti version made after the dsi firmware's final version
    right now its not an important update, but this may prove to be the downfall of the tti
     
  12. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    67
    Jan 15, 2009
    United States
    New York City
    The team is dead anyways.
     
  13. xDlmaoxD

    xDlmaoxD GBAtemp Fan

    Member
    362
    0
    Jan 12, 2009
    United States
    The TTi does not have a up datable firmware, unlike the SC DSonei and M3i Zero.
    The TT team will have to come out with a up datable one or just give up.
    Just get a working flash cart that works with 1.4 in the future if there is any if updating is a must for you.